Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM structure parameters
SVM parameters

This module contains API functions to handle SVM structure parameters. More...

## Functions
SVM_FUNCTION SVM_Boolean | svm_parameter_type_is_structure (const void *svm, const SVM_Parameter parameter)
| This function checks whether a parameter contains a structure.
SVM_FUNCTION SVM_Structure | svm_parameter_structure_get (const void *svm, const SVM_Parameter parameter)
| This function converts a parameter into a structure.
SVM_FUNCTION SVM_Parameter | svm_parameter_structure_new (const void *svm, const SVM_Structure structure)
| This function creates a parameter from a structure.

## Detailed Description

This module contains API functions to handle SVM structure parameters.

See also
  SVM structures

## Function Documentation

## ◆ svm_parameter_structure_get()

SVM_FUNCTION SVM_Structure svm_parameter_structure_get | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function converts a parameter into a structure.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to check.

Returns
  The structure as a SVM_Structure.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the parameter does not contain a structure.

See also
  svm_parameter_type_is_structure
  svm_structure_get_internal

## ◆ svm_parameter_structure_new()

SVM_FUNCTION SVM_Parameter svm_parameter_structure_new | ( | const void * | svm,
|  | const SVM_Structure | structure
| ) |  |

This function creates a parameter from a structure.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | structure | The structure to be passed as a parameter.

Returns
  A parameter containing the structure.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

See also
  svm_structure_new
  svm_structure_new_null

## ◆ svm_parameter_type_is_structure()

SVM_FUNCTION SVM_Boolean svm_parameter_type_is_structure | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function checks whether a parameter contains a structure.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to check.

Returns
  TRUE if the parameter contains a structure, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)